EULB-CREATE-APP-COOKIE-STICKINESS-POLICY(1)

NAME
eulb-create-app-cookie-stickiness-policy - Create a new stickiness policy for a load balancer, whereby the server application generates a cookie and adds it to its responses. The load balancer will then use this cookie to route requests from each user to the same back end instance. This type of policy can only be associated with HTTP or HTTPS listeners,

SYNOPSIS
eulb-create-app-cookie-stickiness-policy -c COOKIENAME -p POLICY

[-U URL]
    [--region USER@REGION] [-I KEY_ID] [-S KEY] [--security-token TOKEN] [--debug] [--debugger] [--version] [-h] ELB

DESCRIPTION
Create a new stickiness policy for a load balancer, whereby the server application generates a cookie and adds it to its responses. The load balancer will then use this cookie to route requests from each user to the same back end instance. This type of policy can only be associated with HTTP or HTTPS listeners,

  positional arguments:

ELB name of the load balancer to modify (required)

  optional arguments:

-c COOKIENAME, --cookie-name COOKIENAME
    name of the cookie used for stickiness (required)

-p POLICY, --policy-name POLICY
    name of the new policy (required)

-U URL, --url URL
    load balancing service endpoint URL

--region USER@REGION
    region and/or user names to search when looking up config file data

-I KEY_ID, --access-key-id KEY_ID

-S KEY, --secret-key KEY

--security-token TOKEN

--debug
    show debugging output

--debugger
    launch interactive debugger on error

--version
    show the program's version and exit

-h, --help
    show this help message and exit